XCB: XCB Present API

XCB 1.17.0

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB Present API

Present XCB Protocol Implementation. More...

## Data Structures
struct | xcb_present_notify_t
| xcb_present_notify_t More...
struct | xcb_present_notify_iterator_t
| xcb_present_notify_iterator_t More...
struct | xcb_present_query_version_cookie_t
| xcb_present_query_version_cookie_t More...
struct | xcb_present_query_version_request_t
| xcb_present_query_version_request_t More...
struct | xcb_present_query_version_reply_t
| xcb_present_query_version_reply_t More...
struct | xcb_present_pixmap_request_t
| xcb_present_pixmap_request_t More...
struct | xcb_present_notify_msc_request_t
| xcb_present_notify_msc_request_t More...
struct | xcb_present_event_iterator_t
| xcb_present_event_iterator_t More...
struct | xcb_present_select_input_request_t
| xcb_present_select_input_request_t More...
struct | xcb_present_query_capabilities_cookie_t
| xcb_present_query_capabilities_cookie_t More...
struct | xcb_present_query_capabilities_request_t
| xcb_present_query_capabilities_request_t More...
struct | xcb_present_query_capabilities_reply_t
| xcb_present_query_capabilities_reply_t More...
struct | xcb_present_pixmap_synced_request_t
| xcb_present_pixmap_synced_request_t More...
struct | xcb_present_generic_event_t
| xcb_present_generic_event_t More...
struct | xcb_present_configure_notify_event_t
| xcb_present_configure_notify_event_t More...
struct | xcb_present_complete_notify_event_t
| xcb_present_complete_notify_event_t More...
struct | xcb_present_idle_notify_event_t
| xcb_present_idle_notify_event_t More...
struct | xcb_present_redirect_notify_event_t
| xcb_present_redirect_notify_event_t More...

## Macros
#define | XCB_PRESENT_MAJOR_VERSION 1
#define | XCB_PRESENT_MINOR_VERSION 4
#define | XCB_PRESENT_QUERY_VERSION 0
#define | XCB_PRESENT_PIXMAP 1
#define | XCB_PRESENT_NOTIFY_MSC 2
#define | XCB_PRESENT_SELECT_INPUT 3
#define | XCB_PRESENT_QUERY_CAPABILITIES 4
#define | XCB_PRESENT_PIXMAP_SYNCED 5
#define | XCB_PRESENT_GENERIC 0
#define | XCB_PRESENT_CONFIGURE_NOTIFY 0
#define | XCB_PRESENT_COMPLETE_NOTIFY 1
#define | XCB_PRESENT_IDLE_NOTIFY 2
#define | XCB_PRESENT_REDIRECT_NOTIFY 3

## Typedefs
typedef enum xcb_present_event_enum_t | xcb_present_event_enum_t
typedef enum xcb_present_event_mask_t | xcb_present_event_mask_t
typedef enum xcb_present_option_t | xcb_present_option_t
typedef enum xcb_present_capability_t | xcb_present_capability_t
typedef enum xcb_present_complete_kind_t | xcb_present_complete_kind_t
typedef enum xcb_present_complete_mode_t | xcb_present_complete_mode_t
typedef struct xcb_present_notify_t | xcb_present_notify_t
| xcb_present_notify_t
typedef struct xcb_present_notify_iterator_t | xcb_present_notify_iterator_t
| xcb_present_notify_iterator_t
typedef struct xcb_present_query_version_cookie_t | xcb_present_query_version_cookie_t
| xcb_present_query_version_cookie_t
typedef struct xcb_present_query_version_request_t | xcb_present_query_version_request_t
| xcb_present_query_version_request_t
typedef struct xcb_present_query_version_reply_t | xcb_present_query_version_reply_t
| xcb_present_query_version_reply_t
typedef struct xcb_present_pixmap_request_t | xcb_present_pixmap_request_t
| xcb_present_pixmap_request_t
typedef struct xcb_present_notify_msc_request_t | xcb_present_notify_msc_request_t
| xcb_present_notify_msc_request_t
typedef uint32_t | xcb_present_event_t
typedef struct xcb_present_event_iterator_t | xcb_present_event_iterator_t
| xcb_present_event_iterator_t
typedef struct xcb_present_select_input_request_t | xcb_present_select_input_request_t
| xcb_present_select_input_request_t
typedef struct xcb_present_query_capabilities_cookie_t | xcb_present_query_capabilities_cookie_t
| xcb_present_query_capabilities_cookie_t
typedef struct xcb_present_query_capabilities_request_t | xcb_present_query_capabilities_request_t
| xcb_present_query_capabilities_request_t
typedef struct xcb_present_query_capabilities_reply_t | xcb_present_query_capabilities_reply_t
| xcb_present_query_capabilities_reply_t
typedef struct xcb_present_pixmap_synced_request_t | xcb_present_pixmap_synced_request_t
| xcb_present_pixmap_synced_request_t
typedef struct xcb_present_generic_event_t | xcb_present_generic_event_t
| xcb_present_generic_event_t
typedef struct xcb_present_configure_notify_event_t | xcb_present_configure_notify_event_t
| xcb_present_configure_notify_event_t
typedef struct xcb_present_complete_notify_event_t | xcb_present_complete_notify_event_t
| xcb_present_complete_notify_event_t
typedef struct xcb_present_idle_notify_event_t | xcb_present_idle_notify_event_t
| xcb_present_idle_notify_event_t
typedef struct xcb_present_redirect_notify_event_t | xcb_present_redirect_notify_event_t
| xcb_present_redirect_notify_event_t

## Enumerations
enum | xcb_present_event_enum_t { XCB_PRESENT_EVENT_CONFIGURE_NOTIFY = 0 , XCB_PRESENT_EVENT_COMPLETE_NOTIFY = 1 , XCB_PRESENT_EVENT_IDLE_NOTIFY = 2 , XCB_PRESENT_EVENT_REDIRECT_NOTIFY = 3 }
enum | xcb_present_event_mask_t { XCB_PRESENT_EVENT_MASK_NO_EVENT = 0 , XCB_PRESENT_EVENT_MASK_CONFIGURE_NOTIFY = 1 , XCB_PRESENT_EVENT_MASK_COMPLETE_NOTIFY = 2 , XCB_PRESENT_EVENT_MASK_IDLE_NOTIFY = 4 , XCB_PRESENT_EVENT_MASK_REDIRECT_NOTIFY = 8 }
enum | xcb_present_option_t { XCB_PRESENT_OPTION_NONE = 0 , XCB_PRESENT_OPTION_ASYNC = 1 , XCB_PRESENT_OPTION_COPY = 2 , XCB_PRESENT_OPTION_UST = 4 , XCB_PRESENT_OPTION_SUBOPTIMAL = 8 , XCB_PRESENT_OPTION_ASYNC_MAY_TEAR = 16 }
enum | xcb_present_capability_t { XCB_PRESENT_CAPABILITY_NONE = 0 , XCB_PRESENT_CAPABILITY_ASYNC = 1 , XCB_PRESENT_CAPABILITY_FENCE = 2 , XCB_PRESENT_CAPABILITY_UST = 4 , XCB_PRESENT_CAPABILITY_ASYNC_MAY_TEAR = 8 , XCB_PRESENT_CAPABILITY_SYNCOBJ = 16 }
enum | xcb_present_complete_kind_t { XCB_PRESENT_COMPLETE_KIND_PIXMAP = 0 , XCB_PRESENT_COMPLETE_KIND_NOTIFY_MSC = 1 }
enum | xcb_present_complete_mode_t { XCB_PRESENT_COMPLETE_MODE_COPY = 0 , XCB_PRESENT_COMPLETE_MODE_FLIP = 1 , XCB_PRESENT_COMPLETE_MODE_SKIP = 2 , XCB_PRESENT_COMPLETE_MODE_SUBOPTIMAL_COPY = 3 }

## Functions
void | xcb_present_notify_next (xcb_present_notify_iterator_t *i)
xcb_generic_iterator_t | xcb_present_notify_end (xcb_present_notify_iterator_t i)
xcb_present_query_version_cookie_t | xcb_present_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_present_query_version_cookie_t | xcb_present_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_present_query_version_reply_t * | xcb_present_query_version_reply (xcb_connection_t *c, xcb_present_query_version_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_present_pixmap_sizeof (const void *_buffer, uint32_t notifies_len)
xcb_void_cookie_t | xcb_present_pixmap_checked (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap, uint32_t serial, xcb_xfixes_region_t valid, xcb_xfixes_region_t update, int16_t x_off, int16_t y_off, xcb_randr_crtc_t target_crtc, xcb_sync_fence_t wait_fence, xcb_sync_fence_t idle_fence, uint32_t options, uint64_t target_msc, uint64_t divisor, uint64_t remainder, uint32_t notifies_len, const xcb_present_notify_t *notifies)
xcb_void_cookie_t | xcb_present_pixmap (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap, uint32_t serial, xcb_xfixes_region_t valid, xcb_xfixes_region_t update, int16_t x_off, int16_t y_off, xcb_randr_crtc_t target_crtc, xcb_sync_fence_t wait_fence, xcb_sync_fence_t idle_fence, uint32_t options, uint64_t target_msc, uint64_t divisor, uint64_t remainder, uint32_t notifies_len, const xcb_present_notify_t *notifies)
xcb_present_notify_t * | xcb_present_pixmap_notifies (const xcb_present_pixmap_request_t *R)
int | xcb_present_pixmap_notifies_length (const xcb_present_pixmap_request_t *R)
xcb_present_notify_iterator_t | xcb_present_pixmap_notifies_iterator (const xcb_present_pixmap_request_t *R)
xcb_void_cookie_t | xcb_present_notify_msc_checked (xcb_connection_t *c, xcb_window_t window, uint32_t serial, uint64_t target_msc, uint64_t divisor, uint64_t remainder)
xcb_void_cookie_t | xcb_present_notify_msc (xcb_connection_t *c, xcb_window_t window, uint32_t serial, uint64_t target_msc, uint64_t divisor, uint64_t remainder)
void | xcb_present_event_next (xcb_present_event_iterator_t *i)
xcb_generic_iterator_t | xcb_present_event_end (xcb_present_event_iterator_t i)
xcb_void_cookie_t | xcb_present_select_input_checked (xcb_connection_t *c, xcb_present_event_t eid, xcb_window_t window, uint32_t event_mask)
xcb_void_cookie_t | xcb_present_select_input (xcb_connection_t *c, xcb_present_event_t eid, xcb_window_t window, uint32_t event_mask)
xcb_present_query_capabilities_cookie_t | xcb_present_query_capabilities (xcb_connection_t *c, uint32_t target)
xcb_present_query_capabilities_cookie_t | xcb_present_query_capabilities_unchecked (xcb_connection_t *c, uint32_t target)
xcb_present_query_capabilities_reply_t * | xcb_present_query_capabilities_reply (xcb_connection_t *c, xcb_present_query_capabilities_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_present_pixmap_synced_sizeof (const void *_buffer, uint32_t notifies_len)
xcb_void_cookie_t | xcb_present_pixmap_synced_checked (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap, uint32_t serial, xcb_xfixes_region_t valid, xcb_xfixes_region_t update, int16_t x_off, int16_t y_off, xcb_randr_crtc_t target_crtc, xcb_dri3_syncobj_t acquire_syncobj, xcb_dri3_syncobj_t release_syncobj, uint64_t acquire_point, uint64_t release_point, uint32_t options, uint64_t target_msc, uint64_t divisor, uint64_t remainder, uint32_t notifies_len, const xcb_present_notify_t *notifies)
xcb_void_cookie_t | xcb_present_pixmap_synced (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap, uint32_t serial, xcb_xfixes_region_t valid, xcb_xfixes_region_t update, int16_t x_off, int16_t y_off, xcb_randr_crtc_t target_crtc, xcb_dri3_syncobj_t acquire_syncobj, xcb_dri3_syncobj_t release_syncobj, uint64_t acquire_point, uint64_t release_point, uint32_t options, uint64_t target_msc, uint64_t divisor, uint64_t remainder, uint32_t notifies_len, const xcb_present_notify_t *notifies)
xcb_present_notify_t * | xcb_present_pixmap_synced_notifies (const xcb_present_pixmap_synced_request_t *R)
int | xcb_present_pixmap_synced_notifies_length (const xcb_present_pixmap_synced_request_t *R)
xcb_present_notify_iterator_t | xcb_present_pixmap_synced_notifies_iterator (const xcb_present_pixmap_synced_request_t *R)
int | xcb_present_redirect_notify_sizeof (const void *_buffer, uint32_t notifies_len)
xcb_present_notify_t * | xcb_present_redirect_notify_notifies (const xcb_present_redirect_notify_event_t *R)
int | xcb_present_redirect_notify_notifies_length (const xcb_present_redirect_notify_event_t *R)
xcb_present_notify_iterator_t | xcb_present_redirect_notify_notifies_iterator (const xcb_present_redirect_notify_event_t *R)

## Variables
xcb_extension_t | xcb_present_id

## Detailed Description

Present XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_PRESENT_COMPLETE_NOTIFY

#define XCB_PRESENT_COMPLETE_NOTIFY 1

Opcode for xcb_present_complete_notify.

## ◆ XCB_PRESENT_CONFIGURE_NOTIFY

#define XCB_PRESENT_CONFIGURE_NOTIFY 0

Opcode for xcb_present_configure_notify.

## ◆ XCB_PRESENT_GENERIC

#define XCB_PRESENT_GENERIC 0

Opcode for xcb_present_generic.

## ◆ XCB_PRESENT_IDLE_NOTIFY

#define XCB_PRESENT_IDLE_NOTIFY 2

Opcode for xcb_present_idle_notify.

## ◆ XCB_PRESENT_NOTIFY_MSC

#define XCB_PRESENT_NOTIFY_MSC 2

Opcode for xcb_present_notify_msc.

## ◆ XCB_PRESENT_PIXMAP

#define XCB_PRESENT_PIXMAP 1

Opcode for xcb_present_pixmap.

## ◆ XCB_PRESENT_PIXMAP_SYNCED

#define XCB_PRESENT_PIXMAP_SYNCED 5

Opcode for xcb_present_pixmap_synced.

## ◆ XCB_PRESENT_QUERY_CAPABILITIES

#define XCB_PRESENT_QUERY_CAPABILITIES 4

Opcode for xcb_present_query_capabilities.

## ◆ XCB_PRESENT_QUERY_VERSION

#define XCB_PRESENT_QUERY_VERSION 0

Opcode for xcb_present_query_version.

## ◆ XCB_PRESENT_REDIRECT_NOTIFY

#define XCB_PRESENT_REDIRECT_NOTIFY 3

Opcode for xcb_present_redirect_notify.

## ◆ XCB_PRESENT_SELECT_INPUT

#define XCB_PRESENT_SELECT_INPUT 3

Opcode for xcb_present_select_input.

## Function Documentation

## ◆ xcb_present_event_end()

xcb_generic_iterator_t xcb_present_event_end | ( | xcb_present_event_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_present_event_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_present_event_next()

void xcb_present_event_next | ( | xcb_present_event_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_present_event_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_present_event_t)

## ◆ xcb_present_notify_end()

xcb_generic_iterator_t xcb_present_notify_end | ( | xcb_present_notify_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_present_notify_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_present_notify_msc()

xcb_void_cookie_t xcb_present_notify_msc | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | serial,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_NOTIFY_MSC.

## ◆ xcb_present_notify_msc_checked()

xcb_void_cookie_t xcb_present_notify_msc_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | serial,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_PRESENT_NOTIFY_MSC.

## ◆ xcb_present_notify_next()

void xcb_present_notify_next | ( | xcb_present_notify_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_present_notify_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_present_notify_t)

## ◆ xcb_present_pixmap()

xcb_void_cookie_t xcb_present_pixmap | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap,
|  | uint32_t | serial,
|  | xcb_xfixes_region_t | valid,
|  | xcb_xfixes_region_t | update,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | xcb_randr_crtc_t | target_crtc,
|  | xcb_sync_fence_t | wait_fence,
|  | xcb_sync_fence_t | idle_fence,
|  | uint32_t | options,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder,
|  | uint32_t | notifies_len,
|  | const xcb_present_notify_t * | notifies
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_PIXMAP.

## ◆ xcb_present_pixmap_checked()

xcb_void_cookie_t xcb_present_pixmap_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap,
|  | uint32_t | serial,
|  | xcb_xfixes_region_t | valid,
|  | xcb_xfixes_region_t | update,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | xcb_randr_crtc_t | target_crtc,
|  | xcb_sync_fence_t | wait_fence,
|  | xcb_sync_fence_t | idle_fence,
|  | uint32_t | options,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder,
|  | uint32_t | notifies_len,
|  | const xcb_present_notify_t * | notifies
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_PRESENT_PIXMAP.

## ◆ xcb_present_pixmap_synced()

xcb_void_cookie_t xcb_present_pixmap_synced | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap,
|  | uint32_t | serial,
|  | xcb_xfixes_region_t | valid,
|  | xcb_xfixes_region_t | update,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | xcb_randr_crtc_t | target_crtc,
|  | xcb_dri3_syncobj_t | acquire_syncobj,
|  | xcb_dri3_syncobj_t | release_syncobj,
|  | uint64_t | acquire_point,
|  | uint64_t | release_point,
|  | uint32_t | options,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder,
|  | uint32_t | notifies_len,
|  | const xcb_present_notify_t * | notifies
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_PIXMAP_SYNCED.

## ◆ xcb_present_pixmap_synced_checked()

xcb_void_cookie_t xcb_present_pixmap_synced_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap,
|  | uint32_t | serial,
|  | xcb_xfixes_region_t | valid,
|  | xcb_xfixes_region_t | update,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | xcb_randr_crtc_t | target_crtc,
|  | xcb_dri3_syncobj_t | acquire_syncobj,
|  | xcb_dri3_syncobj_t | release_syncobj,
|  | uint64_t | acquire_point,
|  | uint64_t | release_point,
|  | uint32_t | options,
|  | uint64_t | target_msc,
|  | uint64_t | divisor,
|  | uint64_t | remainder,
|  | uint32_t | notifies_len,
|  | const xcb_present_notify_t * | notifies
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_PRESENT_PIXMAP_SYNCED.

## ◆ xcb_present_query_capabilities()

xcb_present_query_capabilities_cookie_t xcb_present_query_capabilities | ( | xcb_connection_t * | c,
|  | uint32_t | target
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_QUERY_CAPABILITIES.

## ◆ xcb_present_query_capabilities_reply()

xcb_present_query_capabilities_reply_t * xcb_present_query_capabilities_reply | ( | xcb_connection_t * | c,
|  | xcb_present_query_capabilities_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_present_query_capabilities_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_present_query_capabilities_unchecked()

xcb_present_query_capabilities_cookie_t xcb_present_query_capabilities_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | target
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_PRESENT_QUERY_CAPABILITIES.

## ◆ xcb_present_query_version()

xcb_present_query_version_cookie_t xcb_present_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_QUERY_VERSION.

## ◆ xcb_present_query_version_reply()

xcb_present_query_version_reply_t * xcb_present_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_present_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_present_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_present_query_version_unchecked()

xcb_present_query_version_cookie_t xcb_present_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_PRESENT_QUERY_VERSION.

## ◆ xcb_present_select_input()

xcb_void_cookie_t xcb_present_select_input | ( | xcb_connection_t * | c,
|  | xcb_present_event_t | eid,
|  | xcb_window_t | window,
|  | uint32_t | event_mask
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_PRESENT_SELECT_INPUT.

## ◆ xcb_present_select_input_checked()

xcb_void_cookie_t xcb_present_select_input_checked | ( | xcb_connection_t * | c,
|  | xcb_present_event_t | eid,
|  | xcb_window_t | window,
|  | uint32_t | event_mask
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_PRESENT_SELECT_INPUT.